<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ercot="http://www.ercot.com/functions" xmlns:xs="http://www.w3.org/2001/XMLSchema">

        <xsl:output method="html" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>

        <xsl:param name="path"/>

        <xsl:template match="/Statement">

                <html xmlns="http://www.w3.org/1999/xhtml">
                        <head>
                                <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
                                <title>Settlement Summary</title>
                                <link href="{$path}css/sett.css" rel="stylesheet" type="text/css"/>
                                <script language="javascript" type="text/javascript" src="{$path}scripts/twistie.js">
					<xsl:comment>using this comment to force saxon to not reformat as script/ b/c IE doesn's support it</xsl:comment>
				</script>
                                <style type="text/css">
					<xsl:comment> 
						body {background-color: #FCFBF5;} 
						.no_underline {text-decoration:none}
						.highlight{background-color: #FFE89F;}
					</xsl:comment>
				</style>
                                <script language="javascript" type="text/javascript">
					<![CDATA[
					
					function goToDetail(id) {
					
					document.getElementById('summary').style.display = 'none';
					document.getElementById('detail').style.display = 'block';
					//document.getElementById('d' + id).class.value = 'highlight';
					
					var trElem = document.getElementById('d' +id); 

					trElem.setAttribute("class", "highlight"); 
					trElem.setAttribute("classname", "highlight"); 
					
					}
					
					function goToSummary(id) {
					
					document.getElementById('summary').style.display = 'block';
					document.getElementById('detail').style.display = 'none';
					
					var trElem = document.getElementById('d' + id); 
					trElem.setAttribute("class", "normal"); 
					trElem.setAttribute("classname", "normal"); 
					
					}
					]]>
				</script>
                        </head>


                        <body>
                                <table id="summary" width="700" border="0" cellpadding="0" cellspacing="0" style="display:block">
                                        <tr>
                                                <td>
                                                        <table width="700" border="0" cellspacing="0" cellpadding="0">
                                                                <tr>
                                                                        <td width="126">
                                                                                <img src="{$path}images/logo_trans.gif" width="126" height="51" alt="ERCOT logo"/>
                                                                        </td>
                                                                        <td class="banner">
                                                                                <xsl:choose>
                                                                                        <xsl:when test="AccountSection/MarketType = 'DAM'">DAY-AHEAD MARKET STATEMENT</xsl:when>
                                                                                        <xsl:otherwise>REAL-TIME MARKET STATEMENT</xsl:otherwise>
                                                                                </xsl:choose>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td bgcolor="#517aac">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td colspan="2" bgcolor="#003966">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                        </table>
                                                </td>
                                        </tr>
                                        <tr>
                                                <td>
                                                        <table width="700" border="0" cellspacing="0" cellpadding="0">
                                                                <tr>
                                                                        <td width="40">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <table width="620" border="0" cellspacing="0" cellpadding="0">
                                                                                        <tr>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td class="arial_70_left">Participant Name </td>
                                                                                                <td class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/ParticipantName"/>
                                                                                                </td>
                                                                                                <td colspan="2" class="arial_75b_right">SETTLEMENT SUMMARY </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td class="arial_70_left">Participant ID </td>
                                                                                                <td class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/AccountID"/>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td class="arial_70_left">Statement ID </td>
                                                                                                <td class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/StatementID"/>
                                                                                                </td>
                                                                                                <td class="arial_70_right">Operating Day</td>
                                                                                                <td class="arial_70_rightbold">
                                                                                                        <xsl:value-of select="AccountSection/OperatingDay"/>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>

                                                                                </table>
                                                                        </td>
                                                                        <td width="40">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <table width="620" border="0" cellspacing="0" cellpadding="0">
                                                                                        <tr>
                                                                                                <td colspan="6" class="banner_dkBlue">TOTALS</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td width="10" class="arial_70_leftBold_bdr">
                                                                                                        <img src="{$path}images/dot_clear.gif" width="10" height="8"/>
                                                                                                </td>
                                                                                                <td class="arial_70_leftBold_bdr">Status</td>
                                                                                                <td class="arial_70_leftBold_bdr">Version</td>
                                                                                                <td class="arial_70_rightIndBold_bdr">Billed Amount </td>
                                                                                                <td class="arial_70_rightIndBold_bdr">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="arial_70_rightIndBold_bdr">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>

                                                                                        <xsl:for-each select="Summary/History/HistoryDetails">
                                                                                                <tr>
                                                                                                        <td width="10" class="arial_70_left">
                                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                        </td>
                                                                                                        <td class="arial_70_left">
                                                                                                                <xsl:value-of select="PrevStatementType"/>
                                                                                                        </td>
                                                                                                        <td class="arial_70_left">
                                                                                                                <xsl:variable name="version" select="PrevChannel" as="xs:integer"/>
                                                                                                                <xsl:value-of select="$version"/>
                                                                                                        </td>
                                                                                                        <td class="arial_70_right">
                                                                                                                <!-- converts -444444.00 to ($444,444.00) OR 444444.00 to $444,444.00 -->
                                                                                                                <!--<xsl:value-of select="if (PrevTotal[contains(.,'-')]) then concat('($' , format-number(PrevTotal, '#,###.##') , ')') else concat('$', format-number(PrevTotal, '#,###.##') )"/>-->
                                                                                                                <xsl:value-of select="ercot:number-to-dollar(PrevTotal)"/>
                                                                                                        </td>
                                                                                                        <td class="arial_70_right">
                                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                        </td>
                                                                                                        <td class="arial_70_right">
                                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                        </td>
                                                                                                </tr>
                                                                                        </xsl:for-each>

                                                                                        <tr>
                                                                                                <td width="10" class="arial_70_left">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="arial_70_left">
                                                                                                        <xsl:value-of select="AccountSection/StatementType"/>
                                                                                                </td>
                                                                                                <td class="arial_70_left">
                                                                                                        <xsl:value-of select="AccountSection/Channel"/>
                                                                                                </td>
                                                                                                <td class="arial_70_right">
                                                                                                        <!-- converts -444444.00 to ($444,444.00) OR 444444.00 to $444,444.00 -->
                                                                                                        <!--<xsl:value-of select="if (PrevTotal[contains(.,'-')]) then concat('($' , format-number(PrevTotal, '#,###.##') , ')') else concat('$', format-number(PrevTotal, '#,###.##') )"/>-->
                                                                                                        <!--<xsl:value-of select="ercot:number-to-dollar(Summary/CurrentDollars/NetAmount)"/> -->
                                                                                                        <!--<xsl:variable name="sumAmount2" select="xs:string(sum(DataSection/ChargeType/BillingDetails[last()]/BillAmount))" as="xs:string"/>
                                                                                                                <xsl:value-of select="ercot:number-to-dollar($sumAmount2)"/> -->
                                                                                                        <xsl:variable name="sumAmount2" select="xs:decimal(sum(DataSection/ChargeType/BillingDetails[last()]/BillAmount))" as="xs:decimal"/>
                                                                                                        <xsl:value-of select="ercot:number-to-dollar(string($sumAmount2))"/>
                                                                                                        
                                                                                                </td>
                                                                                                <td class="arial_70_right">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="arial_70_right">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                                <td colspan="4" class="arial_70_rightbold">Operating Day Total </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="expander_blackTotal_lg">
                                                                                                        <xsl:variable name="netAmount" select="Summary/CurrentDollars/NetAmount"/>
                                                                                                        <xsl:variable name="netAmountFormatted" select="if (string-length(substring-after($netAmount, '.')) eq 1) then concat($netAmount, '0') else $netAmount"/>
                                                                                                        <xsl:variable name="total" select="ercot:number-to-dollar($netAmount)"/>
                                                                                                        <!-- <xsl:value-of select="if ($netAmount[contains(.,'-')]) then concat('($' , format-number($netAmount, '#,###.##') , ')') else concat('$', format-number($netAmount, '#,###.##') )"/> -->
                                                                                                        <xsl:value-of select="$total"/>
                                                                                                </td>
                                                                                        </tr>
                                                                                </table>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>


                                                                                <xsl:apply-templates select="DataSection" mode="summary"/>


                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>

                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <table width="620" border="0" cellspacing="0" cellpadding="0">
                                                                                        <tr>
                                                                                                <td colspan="6" class="banner_dkBlue">TOTALS</td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td width="10" class="arial_70_leftBold_bdr">
                                                                                                        <img src="{$path}images/dot_clear.gif" width="10" height="8"/>
                                                                                                </td>
                                                                                                <td class="arial_70_leftBold_bdr">Status</td>
                                                                                                <td class="arial_70_leftBold_bdr">Version</td>
                                                                                                <td class="arial_70_rightIndBold_bdr">Billed Amount </td>
                                                                                                <td class="arial_70_rightIndBold_bdr">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="arial_70_rightIndBold_bdr">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>

                                                                                        <xsl:for-each select="Summary/History/HistoryDetails">
                                                                                                <tr>
                                                                                                        <td width="10" class="arial_70_left">
                                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                        </td>
                                                                                                        <td class="arial_70_left">
                                                                                                                <xsl:value-of select="PrevStatementType"/>
                                                                                                        </td>
                                                                                                        <td class="arial_70_left">
                                                                                                                <xsl:variable name="version" select="PrevChannel" as="xs:integer"/>
                                                                                                                <xsl:value-of select="$version"/>
                                                                                                        </td>
                                                                                                        <td class="arial_70_right">
                                                                                                                <!-- converts -444444.00 to ($444,444.00) OR 444444.00 to $444,444.00 -->
                                                                                                                <!--<xsl:value-of select="if (PrevTotal[contains(.,'-')]) then concat('($' , format-number(PrevTotal, '#,###.##') , ')') else concat('$', format-number(PrevTotal, '#,###.##') )"/>-->
                                                                                                                <xsl:value-of select="ercot:number-to-dollar(PrevTotal)"/>
                                                                                                        </td>
                                                                                                        <td class="arial_70_right">
                                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                        </td>
                                                                                                        <td class="arial_70_right">
                                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                        </td>
                                                                                                </tr>
                                                                                        </xsl:for-each>

                                                                                        <tr>
                                                                                                <td width="10" class="arial_70_left">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="arial_70_left">
                                                                                                        <xsl:value-of select="AccountSection/StatementType"/>
                                                                                                </td>
                                                                                                <td class="arial_70_left">
                                                                                                        <xsl:value-of select="AccountSection/Channel"/>
                                                                                                </td>
                                                                                                <td class="arial_70_right">
                                                                                                        <!-- converts -444444.00 to ($444,444.00) OR 444444.00 to $444,444.00 -->
                                                                                                        <!--<xsl:value-of select="if (PrevTotal[contains(.,'-')]) then concat('($' , format-number(PrevTotal, '#,###.##') , ')') else concat('$', format-number(PrevTotal, '#,###.##') )"/>-->
                                                                                                        <!--<xsl:value-of select="ercot:number-to-dollar(Summary/CurrentDollars/NetAmount)"/> -->
                                                                                                        <xsl:variable name="sumAmount" select="xs:decimal(sum(DataSection/ChargeType/BillingDetails[last()]/BillAmount))" as="xs:decimal"/>
                                                                                                        <xsl:value-of select="ercot:number-to-dollar(string($sumAmount))"/>
                                                                                                </td>
                                                                                                <td class="arial_70_right">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="arial_70_right">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                                <td colspan="4" class="arial_70_rightbold">Operating Day Total </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td class="expander_blackTotal_lg">
                                                                                                        <xsl:variable name="netAmount" select="Summary/CurrentDollars/NetAmount"/>
                                                                                                        <xsl:variable name="netAmountFormatted" select="if (string-length(substring-after($netAmount, '.')) eq 1) then concat($netAmount, '0') else $netAmount"/>
                                                                                                        <xsl:variable name="total" select="ercot:number-to-dollar($netAmount)"/>
                                                                                                        <!-- <xsl:value-of select="if ($netAmount[contains(.,'-')]) then concat('($' , format-number($netAmount, '#,###.##') , ')') else concat('$', format-number($netAmount, '#,###.##') )"/> -->
                                                                                                        <xsl:value-of select="$total"/>
                                                                                                </td>
                                                                                        </tr>
                                                                                </table>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                        </table>
                                                </td>
                                        </tr>
                                </table>


                                <table id="detail" width="100%" border="0" cellpadding="0" cellspacing="0" style="display:none">
                                        <tr>
                                                <td>
                                                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                                <tr>
                                                                        <td width="126">
                                                                                <img src="{$path}images/logo_trans.gif" width="126" height="51" alt="ERCOT logo"/>
                                                                        </td>
                                                                        <td class="banner">
                                                                                <xsl:choose>
                                                                                        <xsl:when test="AccountSection/MarketType = 'DAM'">DAY-AHEAD MARKET STATEMENT</xsl:when>
                                                                                        <xsl:otherwise>REAL-TIME MARKET STATEMENT</xsl:otherwise>
                                                                                </xsl:choose>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td bgcolor="#517aac">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td colspan="2" bgcolor="#003966">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                        </table>
                                                </td>
                                        </tr>
                                        <tr>
                                                <td>
                                                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                                <tr>
                                                                        <td width="10">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>
                                                                                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                                                        <tr>
                                                                                                <td nowrap="nowrap">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td nowrap="nowrap">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td nowrap="nowrap" class="arial_75b_left" colspan="2">SETTLEMENT Detail<br/><br/></td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td nowrap="nowrap" class="arial_70_left" width="200">Participant Name</td>
                                                                                                <td nowrap="nowrap" class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/ParticipantName"/>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td nowrap="nowrap" class="arial_70_left" width="200">Participant ID </td>
                                                                                                <td nowrap="nowrap" class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/AccountID"/>
                                                                                                </td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                                <td nowrap="nowrap" class="arial_70_left" width="200">Statement ID </td>
                                                                                                <td nowrap="nowrap" class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/StatementID"/>
                                                                                                </td>
                                                                                        </tr>

                                                                                        <tr>
                                                                                                <td nowrap="nowrap" class="arial_70_left" width="200">Operating Day<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text></td>
                                                                                                <td nowrap="nowrap" class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/OperatingDay"/>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td nowrap="nowrap" class="arial_70_left" width="200">Version/Status</td>
                                                                                                <td nowrap="nowrap" class="arial_70_leftbold">
                                                                                                        <xsl:value-of select="AccountSection/Channel"/>
                                                                                                        <xsl:text>/</xsl:text>
                                                                                                        <xsl:value-of select="AccountSection/StatementType"/>
                                                                                                </td>
                                                                                        </tr>
                                                                                        <tr>
                                                                                                <td nowrap="nowrap">
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                                <td>
                                                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                                </td>
                                                                                        </tr>
                                                                                </table>
                                                                        </td>
                                                                        <td width="10">
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                        <td>


                                                                                <table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="ECECE2">
                                                                                        <tr>
                                                                                                <td width="300" class="arial_70_leftIndBold_bdrB">Charge Type </td>
                                                                                                <td class="arial_70_rightIndBold_bdr"> Totals<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
                                                                                                </td>

                                                                                                <xsl:for-each select="1 to 100">
                                                                                                        <td class="arial_70_rightIndBold_bdr" style="padding-right:5px">Int <xsl:value-of select="."/></td>
                                                                                                </xsl:for-each>

                                                                                        </tr>

                                                                                        <xsl:apply-templates select="DataSection/ChargeType" mode="detail"/>

                                                                                </table>

                                                                        </td>
                                                                        <td>
                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                        </td>
                                                                </tr>
                                                        </table>
                                                </td>
                                        </tr>
                                </table>

                        </body>
                </html>

        </xsl:template>


        <xsl:template match="DataSection" mode="summary">

                <xsl:for-each-group select="ChargeType" group-by="SortGroup">

                        <div style="width:620px">

                                <!-- BEGIN Day Ahead Energy -->
                                <div class="expander">
                                        <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                        <td width="4%">
                                                                <!-- <img src="{$path}images/ico_arrow_right.gif" width="20" height="16" /> -->
                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                <a class="no_underline" title="See related documents">
                                                                        <xsl:attribute name="href">
                                                                                <xsl:value-of select="concat(&quot;javascript:sh_div(&apos;&quot;, position(), &quot;&apos;);&quot;)"/>
                                                                        </xsl:attribute>
                                                                        <img id="i{position()}" border="0" src="{$path}images/ico_arrow_right.gif"/>
                                                                </a>
                                                        </td>
                                                        <td>
                                                                <span style=" text-transform: uppercase;" class="expander">
                                                                        <xsl:value-of select="SortGroup"/>
                                                                </span>
                                                        </td>
                                                        <td width="35%" style="text-align:right;padding-right:5px" class="expander">
                                                                <xsl:choose>
                                                                        <xsl:when test="current-group()/BillingDetails[last()]/BillAmount">
                                                                                <xsl:variable name="sum" select="xs:decimal(sum(current-group()/BillingDetails[last()]/BillAmount))" as="xs:decimal"/>
                                                                                <span style="font-size:90%">Billable Amt:</span>
                                                                                <xsl:text> </xsl:text>
                                                                                <xsl:value-of select="ercot:number-to-dollar(string($sum))"/>
                                                                        </xsl:when>
                                                                        <xsl:otherwise>
                                                                               NO ACTIVITY
                                                                        </xsl:otherwise>
                                                                </xsl:choose>
                                                        </td>
                                                </tr>
                                        </table>


                                </div>

                                <div style="display:none">
                                        <xsl:attribute name="id">
                                                <xsl:value-of select="concat('b' , position())"/>
                                        </xsl:attribute>

                                        <table width="620" border="0" cellspacing="0" cellpadding="0">

                                                <!-- row: headers -->
                                                <tr>
                                                        <td width="21">
                                                                <img src="{$path}images/dot_clear.gif" width="21" height="8"/>
                                                        </td>
                                                        <td class="arial_70_leftBold_bdr">Charge Type </td>
                                                        <td width="46" class="arial_70_cntrBold_bdr">Vers</td>
                                                        <td nowrap="nowrap" class="arial_70_leftBold_bdr">Status</td>
                                                        <td width="90" class="arial_70_rightIndBold_bdr">Total Amt </td>
                                                        <td width="90" class="arial_70_rightIndBold_bdr">Billable Amt </td>
                                                </tr>

                                                <xsl:for-each select="current-group()">


                                                        <!-- iterate thru rows for all versions except the first one -->
                                                        <xsl:for-each select="BillingDetails">
                                                                <xsl:choose>

                                                                        <xsl:when test=".[1]">
                                                                                <!-- inital row that contains description -->
                                                                                <tr>
                                                                                        <td>
                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                        </td>
                                                                                        <td class="arial_70_left">
                                                                                                <xsl:if test="position()=1">
                                                                                                        <a href="#detail{../SortOrder}" onclick="goToDetail('{../SortOrder}')">
                                                                                                                <xsl:value-of select="../AmountDescription"/>
                                                                                                        </a>
                                                                                                </xsl:if>
                                                                                        </td>
                                                                                        <td class="arial_70_cntr">
                                                                                                <xsl:value-of select="SaveChannel"/>
                                                                                        </td>
                                                                                        <td nowrap="nowrap" class="arial_70_left">
                                                                                                <xsl:choose>
                                                                                                        <xsl:when test="StatementType">
                                                                                                                <xsl:value-of select="StatementType"/>
                                                                                                        </xsl:when>
                                                                                                        <xsl:otherwise>
                                                                                                                <img src="#" width="0" height="0"/>
                                                                                                        </xsl:otherwise>
                                                                                                </xsl:choose>
                                                                                        </td>

                                                                                        <td width="90" class="arial_70_right">
                                                                                                <xsl:choose>
                                                                                                        <xsl:when test="Amount">
                                                                                                                <xsl:variable name="amount" select="Amount"/>
                                                                                                                <!-- <xsl:value-of select="if ($netAmount[contains(.,'-')]) then concat('($' , format-number($netAmount, '#,###.##') , ')') else concat('$', format-number($netAmount, '#,###.##') )"/> -->
                                                                                                                <xsl:value-of select="ercot:number-to-dollar($amount)"/>
                                                                                                        </xsl:when>
                                                                                                        <xsl:when test="upper-case(Activity) != 'YES'">
                                                                                                                <xsl:value-of select="Activity"/>
                                                                                                        </xsl:when>
                                                                                                        <xsl:otherwise>Bug in XML</xsl:otherwise>
                                                                                                </xsl:choose>
                                                                                        </td>
                                                                                        <td width="90" class="arial_70_right">
                                                                                                <xsl:choose>
                                                                                                        <xsl:when test="BillAmount != ''">
                                                                                                                <xsl:variable name="billamount" select="BillAmount"/>
                                                                                                                <!-- <xsl:value-of select="if ($netAmount[contains(.,'-')]) then concat('($' , format-number($netAmount, '#,###.##') , ')') else concat('$', format-number($netAmount, '#,###.##') )"/> -->
                                                                                                                <xsl:value-of select="ercot:number-to-dollar($billamount)"/>
                                                                                                        </xsl:when>
                                                                                                        <xsl:otherwise>
                                                                                                                <xsl:value-of select="Activity"/>
                                                                                                        </xsl:otherwise>
                                                                                                </xsl:choose>
                                                                                        </td>
                                                                                </tr>

                                                                        </xsl:when>
                                                                        <xsl:otherwise>

                                                                                <tr>
                                                                                        <td>
                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                        </td>
                                                                                        <td class="arial_70_left">
                                                                                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                                        </td>
                                                                                        <td class="arial_70_cntr">
                                                                                                <xsl:value-of select="SaveChannel"/>
                                                                                        </td>
                                                                                        <td nowrap="nowrap" class="arial_70_left">
                                                                                                <xsl:value-of select="StatementType"/>
                                                                                        </td>
                                                                                        <td width="90" class="arial_70_right">
                                                                                                <xsl:choose>
                                                                                                        <xsl:when test="Amount">
                                                                                                                <xsl:variable name="amount" select="Amount"/>
                                                                                                                <!-- <xsl:value-of select="if ($netAmount[contains(.,'-')]) then concat('($' , format-number($netAmount, '#,###.##') , ')') else concat('$', format-number($netAmount, '#,###.##') )"/> -->
                                                                                                                <xsl:value-of select="ercot:number-to-dollar($amount)"/>
                                                                                                        </xsl:when>
                                                                                                        <xsl:when test="upper-case(Activity) != 'YES'">
                                                                                                                <xsl:value-of select="Activity"/>
                                                                                                        </xsl:when>
                                                                                                        <xsl:otherwise>Bug in XML</xsl:otherwise>
                                                                                                </xsl:choose>
                                                                                        </td>
                                                                                        <td width="90" class="arial_70_right">
                                                                                                <xsl:choose>
                                                                                                        <xsl:when test="BillAmount != ''">
                                                                                                                <xsl:variable name="billamount" select="BillAmount"/>
                                                                                                                <!-- <xsl:value-of select="if ($netAmount[contains(.,'-')]) then concat('($' , format-number($netAmount, '#,###.##') , ')') else concat('$', format-number($netAmount, '#,###.##') )"/> -->
                                                                                                                <xsl:value-of select="ercot:number-to-dollar($billamount)"/>
                                                                                                        </xsl:when>
                                                                                                        <xsl:otherwise>
                                                                                                                <img src="#" width="0" height="0"/>
                                                                                                        </xsl:otherwise>
                                                                                                </xsl:choose>
                                                                                        </td>
                                                                                </tr>

                                                                        </xsl:otherwise>
                                                                </xsl:choose>
                                                        </xsl:for-each>

                                                        <!-- final row that contains net-->
                                                        <tr>
                                                                <td>
                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                </td>
                                                                <td class="arial_70_left_bdr">
                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                </td>
                                                                <td class="arial_70_left_bdr">
                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                </td>
                                                                <td nowrap="nowrap" class="arial_70_left_bdr">
                                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                                                </td>

                                                                <td width="90" class="arial_70_right_bdr">Net</td>
                                                                <td width="90" class="arial_70_right_bdr">
                                                                        <xsl:choose>
                                                                                <xsl:when test="BillingDetails/BillAmount">
                                                                                        <xsl:variable name="net" select="xs:decimal(sum(BillingDetails/BillAmount))"/>
                                                                                        <xsl:value-of select="ercot:number-to-dollar(string($net))"/>
                                                                                </xsl:when>
                                                                                <xsl:otherwise>
                                                                                        <img src="#" width="0" height="0"/>
                                                                                </xsl:otherwise>
                                                                        </xsl:choose>


                                                                </td>
                                                        </tr>

                                                </xsl:for-each>

                                        </table>

                                </div>
                                <!-- END Day Ahead Energy -->


                                <div class="padding">
                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                                </div>

                        </div>

                </xsl:for-each-group>

        </xsl:template>



        <xsl:template match="DataSection/ChargeType" mode="detail">

                <tr id="d{SortOrder}" class="normal">
                        <!-- if chargeType is the target chargeType, add a bgcolor attribute to highlight row 
			<xsl:if test="AmountCode = $amountCode">
				<xsl:attribute name="bgcolor">#FFE89F</xsl:attribute>
			</xsl:if>-->
                        <td nowrap="nowrap" class="arial_70_leftInd_bdr" style="padding-right:5px">
                                <!-- generate an anchor for each chargeType using AmountCode as a unique identifier -->
                                <a name="#detail{SortOrder}"/>
                                <xsl:value-of select="AmountDescription"/>
                                <br/>
                                <xsl:value-of select="concat('(' , AmountCode , ')')"/>
                                <xsl:text> </xsl:text>
                                <a href="#top" onclick="goToSummary({SortOrder})">(Back to summary)</a>
                        </td>
                        <td class="total_black">
                                <xsl:choose>
                                        <xsl:when test="BillingDetails[last()]/Amount">
                                                <xsl:variable name="billamount" select="BillingDetails[last()]/Amount"/>
                                                <xsl:value-of select="ercot:number-to-dollar($billamount)"/>
                                        </xsl:when>
                                        <xsl:otherwise>No Activity</xsl:otherwise>
                                </xsl:choose>
                        </td>

                        <xsl:variable name="context" select="."/>
                        <xsl:for-each select="1 to 100">
                                <xsl:variable name="i" select="."/>
                                <xsl:choose>
                                        <xsl:when test="$context/Interval[position() = $i]/IntervalValue != ''">

                                                <td class="arial_70_right_bdr" style="padding-left:5px;padding-right:5px">
                                                        <xsl:sequence select="ercot:number-to-dollar($context/Interval[position() = $i]/IntervalValue)"/>
                                                </td>

                                        </xsl:when>
                                        <xsl:otherwise>
                                                <td class="arial_70_left_bdr" style="padding-left:20px;font-weight:bold;min-width:30px">
                                                        <span style="display:none">no amount</span>
                                                        <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
                                                </td>
                                        </xsl:otherwise>
                                </xsl:choose>
                        </xsl:for-each>

                </tr>

        </xsl:template>



        <!-- converts -444444.00 to ($444,444.00) OR 444444.00 to $444,444.00 -->
        <xsl:function name="ercot:number-to-dollar" as="xs:string">
                <xsl:param name="number" as="xs:string"/>
                <xsl:variable name="digits" select="if ($number[contains(.,'-')]) then number(substring-after($number,'-')) else number($number)"/>
                <xsl:sequence select="xs:string( if ($number[contains(.,'-')]) 
			then concat('($' , format-number($digits, '#,###.00') , ')') 
			else concat('$', format-number($digits, '#,###.00') ) )"/>
        </xsl:function>

</xsl:stylesheet>
